#include "mode_mainswitch.h"
#include "button.h"
#include "relais.h"



void MODE_MAINSWITCH_Exec(void)
{
  //Prüfen ob eingeschaltet werden muss
  if (RELAIS_GetState() == 0)
  {
    if (BUTTON_GetMode() == BUTTON_MANUAL_ON) 
    {
      RELAIS_SetPuls();
    } 
    else if (BUTTON_GetMode() == BUTTON_AUTO)
    {
      RELAIS_SetPuls();
    } 


  }



  //Prüfen ob ausgeschaltet werden muss
  if (RELAIS_GetState() == 1)
  {
    if (BUTTON_GetMode() == BUTTON_OFF) 
    {
      RELAIS_ResetPuls();
    } 
  }


  
}
